canmenu=true

local flag1=true;
local flag2=false;
local flag3=false;
local frame = 0;
SemiClosePlushes();
function gameinput (sender,obj_id,attachedID)

if sender==28 then
if id ==top_plush_id  then
setcolor(1100,1,1,1,1,1);

return;end;

return;end;


-----------------------------------------------------------------------------------------------------------------------
	if sender==33 then
	
	
		if plushes_were_closed then
		speciale_action(4,obj.vremea.id)
		speciale_action(2,obj.vremea.id);	
		StartTimer(435235,3,"konec")
	
		function konec()	
			LevelComplete()
		end
			flags.comics1 = true;		

		else
			DrawSkipButton();
			StartTimer(1000,4);
			setcolor(1100,1,1,1,1,1);
			ScaleObject(obj.kadr3.id,1,1.1,4,700,384);
			x,y = GetObjectPosition(obj.kadr3.id);
		end;
	end;
	
	
-----------------------------------------------------------------------------------------------------------------------
	
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
		
	
	if obj_id==skip_id then
		CloseComPlash()	
		set_visible_object(1100,false)		
		return;end;
		
	return;end;
	
	if sender ==36 then
	if obj_id==1000 then
	playeffect("104");
	set_text(1100,"301");
	flag1=false;
	speciale_action(2,obj.kadr2.id,3);
	speciale_action(2,obj.kadr3.id,4);
		flag2=true;	
		speciale_action(2,500);
		StartTimer(1001,4)			
		ScaleObject(obj.kadr2.id,1,1.15,5,700,384);
			x,y = GetObjectPosition(obj.kadr2.id);
	return;end;
	
	if obj_id==1001 then	
	set_text(1100,"302");
	 flag2=false;
	 playeffect("104");
	 speciale_action(2,obj.kadr1.id,3);
	speciale_action(2,obj.kadr2.id,4); 
	 flag3=true;
	 StartTimer(1002,4);
	
	ScaleObject(obj.kadr1.id,1,1.15,5,700,384);
			x,y = GetObjectPosition(obj.kadr1.id);
	return;end;
	
	if obj_id==1002 then	
	flag3=false;	
		CloseComPlash()	
		set_visible_object(1100,false)
	return;end;
	
	
	
	return;end;

	
		
	
end
